{ lib, rustPlatform, fetchFromSourcehut }:

rustPlatform.buildRustPackage rec {
  pname = "rusty-man";
  version = "0.4.3";

  src = fetchFromSourcehut {
    owner = "~ireas";
    repo = pname;
    rev = "v${version}";
    sha256 = "1yp1clmf4hpvqbvn055hiq52584kbrz5b3cjzw8bgkw51nwxr2yx";
  };

  cargoSha256 = "sha256-mIM97YraTiDAowqlB4kAE4PdtWHgvw0UI6Nqoe1EBns=";

  meta = with lib; {
    description = "A command-line viewer for documentation generated by rustdoc";
    homepage = "https://git.sr.ht/~ireas/rusty-man";
    changelog = "https://git.sr.ht/~ireas/rusty-man/tree/v${version}/item/CHANGELOG.md";
    license = licenses.mit;
    maintainers = with maintainers; [ figsoda ];
  };
}
